Download it now!
Bug 32195 - use absolute path for gperf
Summary: use absolute path for gperf
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.3.0 RC1
Hardware: Other FreeBSD
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-07 12:50 UTC by bapt
Modified: 2011-01-13 08:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
patch (as pushed to master) (4.19 KB, patch)
2010-12-13 13:20 UTC, Rene Engelhard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bapt 2010-12-07 12:50:08 UTC
On FreeBSD we have an old (to old for libreoffice) version of gperf in base (/usr/bin/gperf) and we can install a newer version from ports (/usr/local/bin/gperf)

by default the configure script fails finding the old version of gperf.
if I set GPERF=/usr/local/bin/gperf before the configure script it finds the newer one and is happy.

but building libreoffice fails. because the following files :

filter/source/svg/makefile.mk
oox/source/token/makefile.mk
writerfilter/source/ooxml/makefile.mk

uses gperf from path.

Two work around are possible : declare /usr/local/bin first in path or replace gperf by /usr/local/bin/gperf in those files.

The best thing would be to use the absolute path of the detected gperf (sorry I don't have a patch for that)
Comment 1 Rene Engelhard 2010-12-08 05:01:52 UTC
sounds we should AC_SUBST([GPERF]) in configure.in after the check and then just
use $(GPERF) in the makefile
Comment 2 Robert Nagy 2010-12-10 13:51:50 UTC
I agree with Rene, that's the correct way.
Comment 3 Thorsten Behrens (CIB) 2010-12-10 14:07:14 UTC
Any takers for cooking up a patch?
Comment 4 Rene Engelhard 2010-12-13 11:26:11 UTC
thorsten: yes, me :)
Comment 5 Rene Engelhard 2010-12-13 13:20:56 UTC
Created attachment 41086 [details]
patch (as pushed to master)

this patch should do it (also committed and pushed to master)
Comment 6 Rene Engelhard 2010-12-13 13:21:44 UTC
-> RESOLVED
Comment 7 Rene Engelhard 2010-12-14 06:28:06 UTC
now also in libreoffice-3-3 (-> will be fixed in rc2)
Comment 8 sophie 2011-01-13 08:47:25 UTC
Closing - Sophie